EDIT - bug #6343

TermVocabularies of OrderedTerms must be OrderedVocabularies
01/18/2017 11:46 PM - Andreas Miiller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: data Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal Found in Version: Release 4.4
Description

Updatescript for TermVocabularies of OrderedTerms which are not OrderedVocabularies.

See also https://dev.e-taxonomy.eu/redmine/issues/4821#note-8

Otherwise the terms of the following types need to be unordered (see #7340)
Therefore the following script needs to run for them:

UPDATE TermVocabulary
SET DTYPE = 'TermVocabulary'
WHERE termType IN ('SEX', 'DMO', 'MO', 'STG', 'SCO');

UPDATE DefinedTermBase
SET orderIndex = NULL
WHERE termType IN ('SEX', 'DMO', 'MO', 'STG', 'SCO0');

Also we may want to set the uri and some iso fields to NULL where empty (see #7445):

UPDATE DefinedTermBase
SET uri = null
WHERE Trim(uri) = "'';

UPDATE DefinedTermBase
SET is0639_1 = null
WHERE Trim(iso639_1) = '';

UPDATE DefinedTermBase
SET iso03166_A2 = null
WHERE Trim(iso3166_A2) = '';

UPDATE TermVocabulary
SET uri = null
WHERE Trim(uri) = '"';

| did run these scripts on production, integration and test.

Related issues:

Related to EDIT - bug #7340: OderedVocabularies are initialised with DefinedT... Closed
Related to EDIT - bug #7445: Empty term uri and isoXXX fields should be null Closed
Related to EDIT - bug #9477: New ordered terms do not have correct order index Closed
Related to EDIT - feature request #6794: Improve term structure In Progress
Follows EDIT - bug #4821: Changing order of terms not possible Closed

Associated revisions

Revision d7b3d794 - 01/06/2023 07:11 PM - Andreas Miiller
ref #6343, ref 6794 fix creation of OrderedTermVocabulary in imports
https://dev.e-taxonomy.eu/redmine/issues/4821#note-8
https://dev.e-taxonomy.eu/redmine/issues/7340
https://dev.e-taxonomy.eu/redmine/issues/7445

Revision 2cb7268c - 01/06/2023 08:02 PM - Andreas Miiller

ref #6343, ref 6794 adapt taxeditor to removal of non-typified TermVocabulary.NewInstance method

History

#1 - 01/18/2017 11:47 PM - Andreas Miiller

- Due date set to 04/30/2015

- Start date changed from 01/18/2017 to 04/30/2015

- Follows bug #4821: Changing order of terms not possible added

#2 - 01/18/2017 11:47 PM - Andreas Miiller

- Due date deleted (04/30/2015)

- Status changed from New to In Progress

- Priority changed from New to Highest

- Start date changed from 04/30/2015 to 01/18/2017

#3 - 01/18/2017 11:49 PM - Andreas Miiller

- Subject changed from TermVocabularies of OrderedTerms must be OrderedVocabulares, Updatescript to TermVocabularies of OrderedTerms must
be OrderedVocabulares

#4 - 06/07/2017 01:26 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#5 - 05/07/2018 05:47 PM - Andreas Miiller
- Subject changed from TermVocabularies of OrderedTerms must be OrderedVocabulares to TermVocabularies of OrderedTerms must be

OrderedVocabularies

#6 - 05/08/2018 06:05 PM - Andreas Miiller
- Tags set to additivity

#7 - 06/03/2018 10:54 AM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#8 - 06/03/2018 10:59 AM - Andreas Miiller
- Related to bug #7340: OderedVocabularies are initialised with DefinedTerms added

#9 - 06/03/2018 12:07 PM - Andreas Miiller

- Description updated

#10 - 06/03/2018 12:14 PM - Andreas Miiller
- Related to bug #7445: Empty term uri and isoXXX fields should be null added

#11 - 06/03/2018 12:15 PM - Andreas Miiller

- Description updated

#12 - 06/15/2018 12:12 AM - Andreas Miiller

- Description updated

#13 - 05/05/2019 11:21 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#14 - 06/23/2020 02:55 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#15 - 09/17/2021 11:28 PM - Andreas Miiller
- Priority changed from Highest to Priority14
#16 - 09/22/2021 07:08 PM - Andreas Miiller

- Related to bug #9477: New ordered terms do not have correct order index added

#17 - 01/06/2023 07:07 PM - Andreas Miiller

- Related to feature request #6794: Improve term structure added
